# Description
`polaris` is a project which provides data manipulation on arrays and strings.
# Installation
`polaris` is available as an `npm` package.  You can install it via the npm package `@ephox/polaris`
## Install from npm
`npm install @ephox/polaris`

# Usage
`Arrays`: Provides utility functions for dealing with arrays.
`Pattern`: Provides utility functions for dealing with regex.
`PositionArray`: Provides utility functions for dealing with position arrays.
`Regexes`: Provides more utility functions for dealing with regex.
`Search`: Provides utility functions for dealing with searching strings.
`Splitting`: Provides utility functions for splitting strings.
`Strings`: Provides utility functions for dealing with strings.
`Words`: Provides functionality parsing text to words.
# Tests
`polaris` uses [`bedrock`](https://www.npmjs.com/package/@ephox/bedrock) to run atomic tests.
## Running Tests
`$ yarn test`
